Bug 988720 - (JON3-28, PM-400, PRODMGT-361) Rebrand AS 7 plugin per AS/EAP changes
Rebrand AS 7 plugin per AS/EAP changes
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6, UI, Plugin -- JDG, Plugin -- JPP, Plugin -- SOA 6 (Show other bugs)
JON 3.2
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Thomas Segismont
Mike Foley
:
: 839251 1012559 1069553 (view as bug list)
Depends On: 988719
Blocks: 1012559
  Show dependency treegraph
 
Reported: 2013-07-26 04:47 EDT by Heiko W. Rupp
Modified: 2018-01-29 20:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 988719
Environment:
Last Closed:
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JON3-28 Major New Change the name displayed in the navigation tree to the productized name of EAP 6 Host Controller, etc. [PRODMGT-361] 2016-02-22 10:45 EST
JBoss Issue Tracker PRODMGT-361 Major Pending Product Management Triage Change the name displayed in the navigation tree to the productized name of EAP 6 Host Controller, etc. 2016-02-22 10:45 EST

  None (edit)
Description Heiko W. Rupp 2013-07-26 04:47:29 EDT
+++ This bug was initially created as a clone of Bug #988719 +++

Due to naming changes for the app server formerly known as as7, we need to follow up with that in the plugin.

- the AS7 plugin *jar* name will remain as it is today, so that plugin updates will work.

- The *plugin name* will be changed to something which is independent of any version of EAP or JBAS, e.g. AppServer2012. Any new plugin supporting EAP and JBAS in the future would need a similar independent name. 
- All current resource *type* names which reference "AS7" explicitly would be renamed to remove that reference and replace it with one which is independent of any version of EAP or JBAS, e.g. "Standalone App Server". 
- JBAS related *resource* names would be updated, to remove references to "AS7" and replace them with references to "WildFly". 
- Customers would be required to update any external resources, e.g. CLI scripts, which referred to the old plugin, resource type or resource names
Comment 6 Larry O'Leary 2014-03-27 14:13:06 EDT
*** Bug 1069553 has been marked as a duplicate of this bug. ***
Comment 7 Larry O'Leary 2014-12-17 18:58:35 EST
*** Bug 839251 has been marked as a duplicate of this bug. ***
Comment 8 Filip Brychta 2015-07-09 10:52:00 EDT
*** Bug 1012559 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.